Subject: Re: bug#8900: 24.0.50; please index mentioned coding systems in Emacs manual

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Jul 2011 22:49:11 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Fri, 1 Jul 2011 11:17:23 -0700
> 
> > > I disagree.  These are real, implementation, user-visible, 
> > > runtime names.  This is just like indexing command names
> > > or variable names or package names.  The exact name should
> > > appear in the index.
> > 
> > Not true, at least not until we have a detailed documentation of each
> > encoding there.  The absolute majority of coding-systems is not
> > documented in the manual, so there's no real place to put the index
> > entries.  I'm not sure there's something intelligent to tell about
> > these encodings in the manual, either.
> 
> Doesn't matter that we don't have detailed doc about these.  Certainly doesn't
> matter that we don't have detailed doc about *each* coding system.

Well, in that case, we will have to disagree.  Having index entries
about something that isn't described is a Bad Thing.

> The fact is that the manual provides some information about these particular
> coding systems.  They should be indexed so users can easily find that
> information.

But there's no information to find.

> An index does not refer only to "detailed documentation" about terms.  It refers
> to terms that we think a user is likely to look for in the book.  It is often
> the case that a term is indexed that is only mentioned in the book.

Not in my book.